package jp.co.sra.gl4jun;

/**
 * GLjRenderingMode interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   1999/08/19 (by MATSUDA Ryouichi)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: GLjRenderingMode.java,v 9.8 2010/03/09 09:16:42 nisinaka Exp $
 */
public interface GLjRenderingMode {
	public static final int NOTHING = 0;
	public static final int SINGLE_BUFFER = 1;
	public static final int IMAGE = 2;
	public static final int DIRECT = 3;
	public static final int DOUBLE_BUFFER = 4;
}
