package jp.co.sra.jun.geometry.basic;

import jp.co.sra.jun.system.support.*;

/**
 * Jun2dPointTestExamples class
 * 
 *  @author    nisinaka
 *  @created   1998/09/29 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: Jun2dPointTestExamples.java,v 9.8 2010/03/09 09:16:49 nisinaka Exp $
 */
public class Jun2dPointTestExamples extends JunTestExamples {
	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example1() {
		Jun2dPoint aPoint = new Jun2dPoint(10, 20);
		System.out.println(aPoint.printString());

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 * @category Main
	 */
	public static void main(String[] args) {
		new Jun2dPointTestExamples();
	}
}
