package jp.co.sra.jun.geometry.basic;

import jp.co.sra.jun.system.support.*;

/**
 * JunAngleTestExamples class
 * 
 *  @author    nisinaka
 *  @created   1998/10/05 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunAngleTestExamples.java,v 9.9 2010/03/09 09:16:49 nisinaka Exp $
 */
public class JunAngleTestExamples extends JunTestExamples {

	/**
	 * Example1_1:
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example1_1() {
		JunAngle anAngle = JunAngle.FromDeg_(45);
		System.out.println(anAngle.printString());
		anAngle.asJunOpenGL3dObject().showWithUnitAxes();

		return true;
	}

	/**
	 * Example1_2:
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example1_2() {
		JunAngle anAngle = JunAngle.FromDeg_(47);
		System.out.println(anAngle.printString());
		anAngle.asJunOpenGL3dObject().showWithUnitAxes();

		return true;
	}

	/**
	 * Examle2:
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example2() {
		JunAngle anAngle = JunAngle.FromDeg_(180);
		System.out.println(anAngle.printString());
		anAngle.asJunOpenGL3dObject().showWithUnitAxes();

		return true;
	}

	/**
	 * Example3_1:
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example3_1() {
		JunAngle anAngle = JunAngle.FromDeg_(225);
		System.out.println(anAngle.printString());
		anAngle.asJunOpenGL3dObject().showWithUnitAxes();

		return true;
	}

	/**
	 * Example3_2:
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example3_2() {
		JunAngle anAngle = JunAngle.FromDeg_(227);
		System.out.println(anAngle.printString());
		anAngle.asJunOpenGL3dObject().showWithUnitAxes();

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 * @category Main
	 */
	public static void main(String[] args) {
		new JunAngleTestExamples();
	}
}
