package jp.co.sra.jun.geometry.surfaces;

import jp.co.sra.jun.geometry.basic.Jun2dPoint;

/**
 * Jun2dPolygonTestExamples class
 * 
 *  @author    nisinaka
 *  @created   1999/07/28 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: Jun2dPolygonTestExamples.java,v 9.10 2010/03/09 09:16:56 nisinaka Exp $
 */
public class Jun2dPolygonTestExamples extends jp.co.sra.jun.system.support.JunTestExamples {

	/**
	 * Example1:
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example1() {
		Jun2dPoint[] points = { new Jun2dPoint(0, 0), new Jun2dPoint(2, 0), new Jun2dPoint(2, 2), new Jun2dPoint(0, 2) };
		Jun2dPolygon polygon = new Jun2dPolygon(points);
		System.out.println(polygon.signedArea());

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args an array of command-line arguments
	 * @category Main
	 */
	public static void main(java.lang.String[] args) {
		new Jun2dPolygonTestExamples();
	}

}
