package jp.co.sra.jun.goodies.bulletinboard;

import java.awt.Dimension;
import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunBulletinBoardView interface
 * 
 *  @author    nisinaka
 *  @created   2002/11/27 (by nisinaka)
 *  @updated   2004/09/21 (by nisinaka)
 *  @version   758 (with StPL9.7) based on Jun629 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunBulletinBoardView.java,v 9.8 2010/03/09 09:16:58 nisinaka Exp $
 */
public interface JunBulletinBoardView extends JunAbstractView {

	public static String DefaultWindowLabel = "Bulletin Board";
	public static Dimension DefaultWindowSize = new Dimension(200, 24);

	/**
	 * Display the current content.
	 * 
	 * @category displaying
	 */
	public void display();

}
