package jp.co.sra.jun.goodies.calendar;

import java.awt.Color;
import java.util.Vector;

import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunCalendarTimeView interface
 * 
 *  @author    Nobuto Matsubara
 *  @created   2003/10/06 (by Nobuto Matsubara)
 *  @updated   2004/09/21 (by nisinaka)
 *  @updated   2008/06/09 (by Nobuto Matsubara)
 *  @version   758 (with StPL9.7) based on Jun473 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunCalendarTimeView.java,v 9.10 2010/03/09 09:17:00 nisinaka Exp $
 */
public interface JunCalendarTimeView extends JunAbstractView {

	public static final Color veryLightGray = new Color((float) 0.8, (float) 0.8, (float) 0.8);
	public static final Color veryDarkGray = new Color((float) 0.5, (float) 0.5, (float) 0.5);

	/**
	 * Return frames.
	 *
	 * @return java.util.Vector
	 * @category accessing
	 */
	public Vector<Object[]> frames();

}
