package jp.co.sra.jun.goodies.colors;

import jp.co.sra.jun.system.dialog.JunAbstractDialogView;

/**
 * JunColorBarDialogView interface
 * 
 *  @author    nisinaka
 *  @created   2004/06/14 (by nisinaka)
 *  @updated   2008/05/14 (by Mitsuhiro Asada)
 *  @version   758 (with StPL9.7) based on Jun492 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunColorBarDialogView.java,v 9.9 2010/03/09 09:17:00 nisinaka Exp $
 */
public interface JunColorBarDialogView extends JunAbstractDialogView {

	/**
	 * Answer my model as JunColorBarDialog.
	 * 
	 * @return jp.co.sra.jun.goodies.colors.JunColorBarDialog
	 * @category model accessing
	 */
	public JunColorBarDialog getColorBarDialog();

}
