package jp.co.sra.jun.goodies.colors;

import java.awt.Color;
import jp.co.sra.jun.system.support.JunTestExamples;
import jp.co.sra.smalltalk.StImage;

/**
 * JunColorSpuitTestExamples class
 * 
 *  @author    Hoshi Takanori
 *  @created   2002/03/04 (by Hoshi Takanori)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunColorSpuitTestExamples.java,v 9.8 2010/03/09 09:17:01 nisinaka Exp $
 */
public class JunColorSpuitTestExamples extends JunTestExamples {
	/**
	 * Example1.
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example1() {
		Color color = JunColorSpuit.Request();
		int[] bits = new int[100 * 100];

		for (int i = 0; i < bits.length; ++i) {
			bits[i] = color.getRGB();
		}

		StImage image = new StImage(100, 100, bits);
		image._display();

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args an array of command-line arguments
	 * @category Main
	 */
	public static void main(String[] args) {
		new JunColorSpuitTestExamples();
	}
}