package jp.co.sra.jun.goodies.display;

/**
 * JunEmbeddedDisplayModel class
 * 
 *  @author    nisinaka
 *  @created   2004/01/13 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun499 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunEmbeddedDisplayModel.java,v 9.8 2010/03/09 09:17:02 nisinaka Exp $
 */
public class JunEmbeddedDisplayModel extends JunDisplayModel {

	/**
	 * Process the change of my visual object, but not set the window label.
	 * 
	 * @see jp.co.sra.jun.goodies.display.JunDisplayModel#visualIsChanged()
	 * @category private
	 */
	protected void visualIsChanged() {
		this.changed_($("visual"));
	}

}
