package jp.co.sra.jun.goodies.drawing;

import jp.co.sra.jun.goodies.drawing.map.JunDrawingMap;
import jp.co.sra.jun.goodies.drawing.map.JunDrawingMapModelTestExamples;
import jp.co.sra.jun.system.support.JunTestExamples;

/**
 * JunDrawingTestExamples class
 * 
 *  @author    m-asada
 *  @created   2005/06/07 (by m-asada)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunDrawingTestExamples.java,v 9.8 2010/03/09 09:17:03 nisinaka Exp $
 */
public class JunDrawingTestExamples extends JunTestExamples {
	/**
	 * Example1: 
	 *  
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example1() {
		JunDrawing aModel = new JunDrawing(new JunDrawingMap());
		aModel.open();

		return true;
	}

	/**
	 * Example2: 
	 *  
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example2() {
		JunDrawing aModel = new JunDrawing(JunDrawingMapModelTestExamples.MapExample1());
		aModel.open();

		return true;
	}

	/**
	 * Example3: 
	 *  
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example3() {
		JunDrawing aModel = new JunDrawing(JunDrawingMapModelTestExamples.MapExample2());
		aModel.open();

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 * @category Main
	 */
	public static void main(String[] args) {
		new JunDrawingTestExamples();
	}
}
