package jp.co.sra.jun.goodies.drawing.properties;

import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunTextboxPropertiesView interface
 * 
 *  @author    m-asada
 *  @created   2005/05/24 (by m-asada)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunTextboxPropertiesView.java,v 9.8 2010/03/09 09:17:05 nisinaka Exp $
 */
public interface JunTextboxPropertiesView extends JunAbstractView {
	/**
	 * Answer the model as JunTextboxPropertiesModel.
	 * 
	 * @return jp.co.sra.jun.goodies.drawing.properties.JunTextboxPropertiesModel
	 * @category model accessing
	 */
	public JunTextboxPropertiesModel getModel();
}
