package jp.co.sra.jun.goodies.dump;

import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunDumpView interface
 * 
 *  @author    nisinaka
 *  @created   2003/03/18 (by nisinaka)
 *  @updated   2004/09/21 (by nisinaka)
 *  @version   758 (with StPL9.7) based on Jun436 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunDumpView.java,v 9.8 2010/03/09 09:17:06 nisinaka Exp $
 */
public interface JunDumpView extends JunAbstractView {
	/**
	 * Answer my model as <code>JunDumpModel</code>.
	 *
	 * @return jp.co.sra.jun.goodies.dump.JunDumpModel
	 * @category model accessing
	 */
	public JunDumpModel getDumpModel();
}
