package jp.co.sra.jun.goodies.files;

import jp.co.sra.jun.system.dialog.JunAbstractDialogView;

/**
 * JunFileDialogView interface
 * 
 *  @author    nisinaka
 *  @created   2003/03/09 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun433 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunFileDialogView.java,v 9.9 2010/03/09 09:17:07 nisinaka Exp $
 */
public interface JunFileDialogView extends JunAbstractDialogView {

	/**
	 * Answer my model as JunFileDialog.
	 *
	 * @return jp.co.sra.jun.goodies.files.JunFileDialog
	 * @category model accessing
	 */
	public JunFileDialog getFileDialog();

}
