package jp.co.sra.jun.goodies.font;

import jp.co.sra.jun.system.dialog.JunAbstractDialogView;

/**
 * JunFontDialogView interface
 * 
 *  @author    nisinaka
 *  @created   2003/03/03 (by nisinaka)
 *  @updated   2008/05/22 (by Mitsuhiro Asada)
 *  @version   758 (with StPL9.7) based on Jun433 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunFontDialogView.java,v 9.9 2010/03/09 09:17:07 nisinaka Exp $
 */
public interface JunFontDialogView extends JunAbstractDialogView {

	/**
	 * Answer my model as a JunFontDialog.
	 *
	 * @return jp.co.sra.jun.goodies.font.JunFontDialog
	 * @category model accessing
	 */
	public JunFontDialog getFontDialog();

}
