package jp.co.sra.jun.goodies.font;

import jp.co.sra.jun.system.support.JunTestExamples;

/**
 * JunFontModelTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2003/02/28 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun642 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunFontModelTestExamples.java,v 9.8 2010/03/09 09:17:08 nisinaka Exp $
 */
public class JunFontModelTestExamples extends JunTestExamples {

	/**
	 * Example1: Create a new instance of JunFontModel and open it.
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunFontModel fontModel = new JunFontModel();
		fontModel.open();
		return true;
	}

	/**
	 * Example2: Create a new instance of JunFontModel and open it.
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		JunFontModel fontModel = new JunFontModel();
		fontModel.fontName_("Dialog");
		fontModel.fontSize_(12);
		fontModel.open();
		return true;
	}

	/**
	 * Open a test example launcher.
	 * 
	 * @param args an array of command-line arguments
	 */
	public static void main(java.lang.String[] args) {
		new JunFontModelTestExamples();
	}

}
