package jp.co.sra.jun.goodies.freehand;

import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunFreehandView interface
 * 
 *  @author    nisinaka
 *  @created   2002/07/08 (by nisinaka)
 *  @updated   2004/09/21 (by nisinaka)
 *  @version   758 (with StPL9.7) based on Jun634 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunFreehandView.java,v 9.8 2010/03/09 09:17:10 nisinaka Exp $
 */
public interface JunFreehandView extends JunAbstractView {

	/**
	 * Answer my model as JunFreehandPage.
	 * 
	 * @return jp.co.sra.jun.goodies.freehand.JunFreehandPage
	 * @category model accessing
	 */
	public JunFreehandPage getFreehandPage();

}
