package jp.co.sra.jun.goodies.gauge;

import jp.co.sra.jun.system.dialog.JunAbstractDialogView;

/**
 * JunGaugeDialogView interface
 * 
 *  @author    nisinaka
 *  @created   2004/04/14 (by nisinaka)
 *  @updated   2008/05/14 (by Mitsuhiro Asada)
 *  @version   758 (with StPL9.7) based on Jun492 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunGaugeDialogView.java,v 9.9 2010/03/09 09:17:10 nisinaka Exp $
 */
public interface JunGaugeDialogView extends JunAbstractDialogView {

	/**
	 * Answer my model as JunGaugeDialog.
	 * 
	 * @return jp.co.sra.jun.goodies.gauge.JunGaugeDialog
	 * @category model accessing
	 */
	public JunGaugeDialog getGaugeDialog();

}
