package jp.co.sra.jun.goodies.gauge;

import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunLevelGaugeView interface
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2007/03/30 (by m-asada)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun697 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunLevelGaugeView.java,v 9.8 2010/03/09 09:17:10 nisinaka Exp $
 */
public interface JunLevelGaugeView extends JunAbstractView {
	/**
	 * Answer the receiver's model as JunLevelGaugeModel
	 * 
	 * @return jp.co.sra.jun.goodies.gauge.JunLevelGaugeModel
	 * @category model accessing
	 */
	public JunLevelGaugeModel getModel();
}
