package jp.co.sra.jun.goodies.gauge;

import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunSimpleGaugeView interface
 * 
 *  @author    Hoshi Takanori
 *  @created   2003/08/28 (by Hoshi Takanori)
 *  @updated   2004/09/21 (by nisinaka)
 *  @version   758 (with StPL9.7) based on Jun473 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunSimpleGaugeView.java,v 9.9 2010/03/09 09:17:10 nisinaka Exp $
 */
public interface JunSimpleGaugeView extends JunAbstractView {

	/**
	 * Answer my model as JunSimpleGaugeModel.
	 *
	 * @return jp.co.sra.jun.goodies.gauge.JunSimpleGaugeModel
	 * @category model accessing
	 */
	public JunSimpleGaugeModel getSimpleGaugeModel();

}
