package jp.co.sra.jun.goodies.image.support;

import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunImageToAsciiView interface
 * 
 *  @author    nisinaka
 *  @created   2000/12/13 (by nisinaka)
 *  @updated   2004/09/21 (by nisinaka)
 *  @updated   2006/12/37 (by nisinaka)
 *  @version   758 (with StPL9.7) based on Jun668 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunImageToAsciiView.java,v 9.8 2010/03/09 09:17:13 nisinaka Exp $
 */
public interface JunImageToAsciiView extends JunAbstractView {

	/**
	 * Answer my model as JunImageToAscii.
	 *
	 * @return jp.co.sra.jun.goodies.image.support.JunImageToAscii
	 */
	public JunImageToAscii getImageToAscii();

}
