package jp.co.sra.jun.goodies.itemlist;

import jp.co.sra.jun.system.dialog.JunAbstractDialogView;

/**
 * JunOrderListDialogView interface
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2003/12/12 (by Mitsuhiro Asada)
 *  @updated   2008/05/15 (by Mitsuhiro Asada)
 *  @version   758 (with StPL9.7) based on Jun465 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOrderListDialogView.java,v 9.9 2010/03/09 09:17:14 nisinaka Exp $
 */
public interface JunOrderListDialogView extends JunAbstractDialogView {
	/**
	 * Answer my model as a JunOrderListDialog.
	 *
	 * @return jp.co.sra.jun.goodies.itemlist.JunOrderListDialog
	 * @category model accessing
	 */
	public JunOrderListDialog getOrderListDialog();
}
