package jp.co.sra.jun.goodies.meter;

import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunAbstractGaugeMeterView interface
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2007/04/04 (by m-asada)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun652 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunAbstractGaugeMeterView.java,v 9.8 2010/03/09 09:17:15 nisinaka Exp $
 */
public abstract interface JunAbstractGaugeMeterView extends JunAbstractView {
	/**
	 * Answer the receiver's model as JunAbstractGaugeMeter
	 * 
	 * @return jp.co.sra.jun.goodies.meter.JunAbstractGaugeMeter
	 * @category model accessing
	 */
	public JunAbstractGaugeMeter getModel();
}
