package jp.co.sra.jun.goodies.milliseconds;

import jp.co.sra.jun.system.dialog.JunAbstractDialogView;

/**
 * JunMillisecondDialogView interface
 * 
 *  @author    nisinaka
 *  @created   2003/05/28 (by nisinaka)
 *  @updated   2008/05/23 (by Mitsuhiro Asada)
 *  @version   758 (with StPL9.7) based on Jun433 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunMillisecondDialogView.java,v 9.9 2010/03/09 09:17:16 nisinaka Exp $
 */
public interface JunMillisecondDialogView extends JunAbstractDialogView {
	/**
	 * Answer my model as a JunMillisecondDialog.
	 *
	 * @return jp.co.sra.jun.goodies.milliseconds.JunMillisecondDialog
	 * @category model accessing
	 */
	public JunMillisecondDialog getMillisecondDialog();
}
