package jp.co.sra.jun.goodies.movie.support;

import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunScreenRecorderView interface
 * 
 *  @author    Hoshi Takanori
 *  @created   2002/10/18 (by Hoshi Takanori)
 *  @updated   2004/09/21 (by nisinaka)
 *  @version   758 (with StPL9.7) based on Jun490 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunScreenRecorderView.java,v 9.8 2010/03/09 09:17:17 nisinaka Exp $
 */
public interface JunScreenRecorderView extends JunAbstractView {

	/**
	 * Answer my model as JunScreenRecorder.
	 *
	 * @return jp.co.sra.jun.goodies.movie.framework.JunScreenRecorder
	 * @category model accessing
	 */
	public JunScreenRecorder getScreenRecorder();

}
