package jp.co.sra.jun.goodies.multimedia;

import jp.co.sra.jun.system.support.JunTestExamples;

/**
 * JunMultiMediaExtraModelTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2005/09/07 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun526 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunMultiMediaExtraModelTestExamples.java,v 9.8 2010/03/09 09:17:18 nisinaka Exp $
 */
public class JunMultiMediaExtraModelTestExamples extends JunTestExamples {

	/**
	 * Example1: Open a <code>JunMultiMediaExtraModel</code>.
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example1() {
		JunMultiMediaExtraModel extraModel = JunMultiMediaExtraModel.Request();
		if (extraModel == null) {
			return false;
		}

		extraModel.open();
		return true;
	}

	/**
	 * Test_OtherIcon: 
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Test_OtherIcon() {
		JunMultiMediaExtraModel.OtherIcon()._display();

		return true;
	}

	/**
	 * Test_DocIcon: 
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Test_DocIcon() {
		JunMultiMediaExtraModel.DocIcon()._display();

		return true;
	}

	/**
	 * Test_PdfIcon: 
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Test_PdfIcon() {
		JunMultiMediaExtraModel.PdfIcon()._display();

		return true;
	}

	/**
	 * Test_PptIcon: 
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Test_PptIcon() {
		JunMultiMediaExtraModel.PptIcon()._display();

		return true;
	}

	/**
	 * Test_XlsIcon: 
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Test_XlsIcon() {
		JunMultiMediaExtraModel.XlsIcon()._display();

		return true;
	}

	/**
	 * Execute all examples.
	 *
	 * @param args an array of command-line arguments
	 * @category Main
	 */
	public static void main(java.lang.String[] args) {
		new JunMultiMediaExtraModelTestExamples();
	}

}
