package jp.co.sra.jun.goodies.multimedia;

import jp.co.sra.jun.goodies.movie.framework.JunMovieView;

/**
 * JunMultiMediaMovieView interface
 * 
 *  @author    nisinaka
 *  @created   2003/03/20 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun490 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunMultiMediaMovieView.java,v 9.8 2010/03/09 09:17:18 nisinaka Exp $
 */
public interface JunMultiMediaMovieView extends JunMovieView {

	/**
	 * Answer my movie view as JunMovieView.
	 *
	 * @return jp.co.sra.jun.goodies.movie.framework.JunMovieView
	 * @category model accessing
	 */
	public JunMovieView getMovieView();
}
