package jp.co.sra.jun.goodies.multimedia;

/**
 * JunMultiMediaViewerTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2003/03/18 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun486 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunMultiMediaViewerTestExamples.java,v 9.8 2010/03/09 09:17:18 nisinaka Exp $
 */
public class JunMultiMediaViewerTestExamples extends jp.co.sra.jun.system.support.JunTestExamples {

	/**
	 * Example: Open a JunMultiMediaViewer.
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example() {
		(new JunMultiMediaViewer()).open();
		return true;
	}

	/**
	 * Execute all examples.
	 *
	 * @param args an array of command-line arguments
	 * @category Main
	 */
	public static void main(java.lang.String[] args) {
		new JunMultiMediaViewerTestExamples();
	}
}
