package jp.co.sra.jun.goodies.nib;

import jp.co.sra.jun.system.dialog.JunAbstractDialogView;

/**
 * JunNibChoiceDialogView interface
 * 
 *  @author    Nobuto Matsubara
 *  @created   2004/03/23 (By Nobuto Matsubara)
 *  @updated   2008/05/16 (by m-asada)
 *  @version   758 (with StPL9.7) based on Jun492 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunNibChoiceDialogView.java,v 9.9 2010/03/09 09:17:19 nisinaka Exp $
 */
public interface JunNibChoiceDialogView extends JunAbstractDialogView {
	/**
	 * Answer my model as a JunNibChoiceDialog.
	 * 
	 * @return jp.co.sra.jun.goodies.colors.JunNibChoiceDialog
	 * @category model accessing
	 */
	public JunNibChoiceDialog getNibChoiceDialog();
}
