package jp.co.sra.jun.goodies.nib;

import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunNibChoiceWithColorView interface
 * 
 *  @author    Nobuto Matsubara
 *  @created   2004/03/26 (By Nobuto Matsubara)
 *  @updated   2004/09/21 (by nisinaka)
 *  @version   758 (with StPL9.7) based on Jun538 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunNibChoiceWithColorView.java,v 9.8 2010/03/09 09:17:19 nisinaka Exp $
 */
public interface JunNibChoiceWithColorView extends JunAbstractView {

	/**
	 * Answer my model as JunNibChoiceWithColor.
	 * 
	 * @return jp.co.sra.jun.goodies.nib.JunNibChoiceWithColor
	 * @category model accessing
	 */
	public JunNibChoiceWithColor getNibChoiceWithColor();

}
