package jp.co.sra.jun.goodies.parameter;

/**
 * JunParameterModelTestExamples class
 * 
 *  @author    UNKNOWN
 *  @created   UNKNOWN
 *  @updated   2003/01/17 (by nisinaka)
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunParameterModelTestExamples.java,v 9.8 2010/03/09 09:17:19 nisinaka Exp $
 */
public class JunParameterModelTestExamples extends jp.co.sra.jun.system.support.JunTestExamples {

	/**
	 * Example1: open JunParameterModel.
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		(new JunParameterModel()).open();
		return true;
	}

	/**
	 * Examle2: open JunParameterModel with 1 parameter.
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		JunParameterModel.OpenOnParameter_(new JunParameter("height", 6, 3, 12));

		return true;
	}

	/**
	 * Examle3: open JunParameterModel with 1 parameter.
	 * 
	 * @return boolean
	 */
	public static boolean Example3() {
		JunParameterModel.OpenOnParameter_(new JunParameter("angle", 15, 0, 60, 5));
		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args an array of command-line arguments
	 */
	public static void main(java.lang.String[] args) {
		new JunParameterModelTestExamples();
	}
}
