package jp.co.sra.jun.goodies.pen;

import jp.co.sra.jun.geometry.abstracts.JunGeometry;
import jp.co.sra.jun.system.framework.JunAbstractObject;

/**
 * JunPenGeometry class
 * 
 *  @author    Hirotsugu Kondo
 *  @created   1999/1/5 (by Hirotsugu Kondo)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun627 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunPenGeometry.java,v 9.8 2010/03/09 09:17:20 nisinaka Exp $
 */
public class JunPenGeometry extends JunAbstractObject {
	public static final double ACCURACY = JunGeometry.ACCURACY;

	/**
	 * Answer the accuracy of geometries.
	 * 
	 * @return double
	 * @category Constants access
	 */
	public static final double Accuracy() {
		return ACCURACY;
	}

	/**
	 * Answer the accuracy of geometries.
	 * 
	 * @return double
	 * @category constants access
	 */
	public double accuracy() {
		return Accuracy();
	}
}
