package jp.co.sra.jun.goodies.print;

import jp.co.sra.smalltalk.StSimpleDialogView;

/**
 * JunPrintPreviewDialogView interface
 * 
 *  @author    nisinaka
 *  @created   2008/08/14 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunPrintPreviewDialogView.java,v 9.7 2010/03/09 09:17:20 nisinaka Exp $
 */
public interface JunPrintPreviewDialogView extends StSimpleDialogView {

	/**
	 * Answer my model as JunPrintPreviewDialog.
	 * 
	 * @return jp.co.sra.jun.goodies.print.JunPrintPreviewDialog
	 * @category model accessing
	 */
	public JunPrintPreviewDialog getPrintPreviewDialog();

}
