package jp.co.sra.jun.goodies.print;

import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunPrintPreviewView interface
 * 
 *  @author    nisinaka
 *  @created   2008/08/14 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunPrintPreviewView.java,v 9.7 2010/03/09 09:17:21 nisinaka Exp $
 */
public interface JunPrintPreviewView extends JunAbstractView {

	/**
	 * Answer my model as JunPrintPreview.
	 * 
	 * @return jp.co.sra.jun.goodies.print.JunPrintPreview
	 * @category model accessing
	 */
	public JunPrintPreview getPrintPreview();

	/**
	 * Answer my print preview canvas.
	 * 
	 * @return jp.co.sra.jun.goodies.print.JunPrintPreviewCanvas
	 * @category accessing
	 */
	public JunPrintPreviewCanvas getCanvas();

}
