package jp.co.sra.jun.goodies.progress;

import java.awt.Font;
import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunProgressView interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   2000/02/15 (by MATSUDA Ryouichi)
 *  @updated   2002/12/16 (by nisinaka)
 *  @updated   2004/09/21 (by nisinaka)
 *  @version   758 (with StPL9.7) based on Jun473 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunProgressView.java,v 9.8 2010/03/09 09:17:21 nisinaka Exp $
 */
public interface JunProgressView extends JunAbstractView {

	public static final Font MessageFont = new Font("monospaced", Font.PLAIN, 12);

	/**
	 * Answer my model as JunProgress.
	 * 
	 * @return jp.co.sra.jun.goodies.progress.JunProgress
	 * @category model accessing
	 */
	public JunProgress getProgress();

}
