package jp.co.sra.jun.goodies.sound;

import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunSoundMeterView interface
 * 
 *  @author    Hoshi Takanori
 *  @created   2003/08/29 (by Hoshi Takanori)
 *  @updated   2004/09/21 (by nisinaka)
 *  @version   758 (with StPL9.7) based on Jun433 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunSoundMeterView.java,v 9.8 2010/03/09 09:17:23 nisinaka Exp $
 */
public interface JunSoundMeterView extends JunAbstractView {

	/**
	 * Answer my model as JunSoundMeterModel.
	 *
	 * @return jp.co.sra.jun.goodies.sound.JunSoundMeterModel
	 */
	public JunSoundMeterModel getSoundMeterModel();

}
