package jp.co.sra.jun.goodies.stopwatch;

import jp.co.sra.jun.goodies.gauge.JunLevelGaugeView;

/**
 * JunStopwatchView interface
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2007/04/19 (by m-asada)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun652 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunStopwatchView.java,v 9.8 2010/03/09 09:17:24 nisinaka Exp $
 */
public interface JunStopwatchView extends JunLevelGaugeView {
	/**
	 * Answer the receiver's model as <code>JunStopwatch</code>.
	 * 
	 * @return jp.co.sra.jun.goodies.stopwatch.JunStopwatch
	 * @category model accessing
	 */
	public JunStopwatch getStopwatch();
}
