package jp.co.sra.jun.goodies.texteditor;

import jp.co.sra.jun.system.dialog.JunAbstractDialogView;

/**
 * JunTextEditorDialogView interface
 * 
 *  @author    m-asada
 *  @created   2005/05/11 (by Mitsuhiro Asada)
 *  @updated   2008/05/15 (by Mitsuhiro Asada)
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunTextEditorDialogView.java,v 9.9 2010/03/09 09:17:25 nisinaka Exp $
 */
public interface JunTextEditorDialogView extends JunAbstractDialogView {
	/**
	 * Answer my model as JunTextEditorDialog.
	 * 
	 * @return jp.co.sra.jun.goodies.texteditor.JunTextEditorDialog
	 * @category model accessing
	 */
	public JunTextEditorDialog getTextEditorDialog();
}
