package jp.co.sra.jun.goodies.wavelet;

/**
 * JunContinuousWaveletTransformation class
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2007/05/07 (by m-asada)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun660 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunContinuousWaveletTransformation.java,v 9.8 2010/03/09 09:17:27 nisinaka Exp $
 */
public class JunContinuousWaveletTransformation extends JunWaveletTransformation {
	/**
	 * Create a new instance of <code>JunContinuousWaveletTransformation</code> and initialize it.
	 * 
	 * @category Instance creation
	 */
	public JunContinuousWaveletTransformation() {
		super();
	}

	/**
	 * Apply the specified object to the receiver.
	 * 
	 * @param anObject java.lang.Object
	 * @return jp.co.sra.jun.goodies.wavelet.JunWaveletTransformation
	 * @see jp.co.sra.jun.goodies.wavelet.JunWaveletTransformation#applyTo_(java.lang.Object)
	 * @category applying transformation
	 */
	public JunWaveletTransformation applyTo_(Object anObject) {
		return this;
	}

	/**
	 * Apply a transformation 'waveletTransformation' to the receiver.
	 * 
	 * @param waveletTransformation jp.co.sra.jun.goodies.wavelet.JunWaveletTransformation
	 * @return jp.co.sra.jun.goodies.wavelet.JunWaveletTransformation
	 * @see jp.co.sra.jun.goodies.wavelet.JunWaveletTransformation#transform_(jp.co.sra.jun.goodies.wavelet.JunWaveletTransformation)
	 * @category applying transformation
	 */
	public JunWaveletTransformation transform_(JunWaveletTransformation waveletTransformation) {
		return this;
	}
}
