package jp.co.sra.jun.graphics.list;

import jp.co.sra.jun.graphics.map.JunSequenceMapTestExamples;
import jp.co.sra.jun.system.support.JunTestExamples;

/**
 * JunSequenceListTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2004/01/13 (by nisinaka)
 *  @updated   2006/11/22 (by m-asada)
 *  @version   758 (with StPL9.7) based on Jun637 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunSequenceListTestExamples.java,v 9.8 2010/03/09 09:17:29 nisinaka Exp $
 */
public class JunSequenceListTestExamples extends JunTestExamples {
	/**
	 * Example1: open the JunSequenceList.
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example1() {
		JunSequenceList sequenceList = new JunSequenceList(JunSequenceMapTestExamples._ExampleMap());
		sequenceList.open();
		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 * @category Main
	 */
	public static void main(String[] args) {
		new JunSequenceListTestExamples();
	}
}
