package jp.co.sra.jun.graphics.navigator;

import jp.co.sra.jun.graphics.navigator.JunMultiMediaNavigator;
import jp.co.sra.jun.graphics.navigator.JunMultiMediaNavigatorTestExamples;
import jp.co.sra.jun.system.support.JunTestExamples;

/**
 * JunMultiMediaNavigatorTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2004/02/09 (by nisinaka)
 *  @updated   2006/11/29 (by m-asada)
 *  @version   758 (with StPL9.7) based on Jun638 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunMultiMediaNavigatorTestExamples.java,v 9.8 2010/03/09 09:17:30 nisinaka Exp $
 */
public class JunMultiMediaNavigatorTestExamples extends JunTestExamples {
	/**
	 * Example: Open a new multi media navigator.
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example() {
		JunMultiMediaNavigator mmNavigator = new JunMultiMediaNavigator();
		mmNavigator.open();
		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 * @category Main
	 */
	public static void main(String[] args) {
		new JunMultiMediaNavigatorTestExamples();
	}
}
