package jp.co.sra.jun.octree.editor;

import jp.co.sra.jun.octree.basic.Jun27Tree;
import jp.co.sra.jun.octree.basic.JunOctree;

/**
 * JunOctreeEditModelTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2000/01/02 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOctreeEditModelTestExamples.java,v 9.9 2010/03/09 09:17:33 nisinaka Exp $
 */
public class JunOctreeEditModelTestExamples extends jp.co.sra.jun.system.support.JunTestExamples {

	/**
	 * Example1:
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example1() {
		JunOctreeEditModel editModel = new JunOctreeEditModel(JunOctree.Unity());
		editModel.open();

		return true;
	}

	/**
	 * Example2:
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example2() {
		JunOctreeEditModel editModel = new JunOctreeEditModel(Jun27Tree.Unity());
		editModel.open();

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args an array of command-line arguments
	 */
	public static void main(java.lang.String[] args) {
		new JunOctreeEditModelTestExamples();
	}
}
