package jp.co.sra.jun.opengl.display;

/**
 * JunOpenGLAngledDisplayView interface
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2006/10/16 (by m-asada)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun621 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLAngledDisplayView.java,v 9.8 2010/03/09 09:17:36 nisinaka Exp $
 */
public interface JunOpenGLAngledDisplayView extends JunOpenGLDisplayView {

	/**
	 * Answer my model as JunOpenGLStereoDisplayModel.
	 * 
	 * @return jp.co.sra.jun.opengl.display.JunOpenGLStereoDisplayModel
	 * @category model accessing
	 */
	public JunOpenGLStereoDisplayModel getOpenGLStereoDisplayModel();

}
