package jp.co.sra.jun.opengl.display;

import java.lang.reflect.Method;

import jp.co.sra.jun.opengl.objects.JunOpenGL3dObject;
import jp.co.sra.jun.system.support.JunTestExamples;

/**
 * JunOpenGLDisplayObjectsTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2006/07/25 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun682 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLDisplayObjectsTestExamples.java,v 9.9 2010/03/09 09:17:36 nisinaka Exp $
 */
public class JunOpenGLDisplayObjectsTestExamples extends JunTestExamples {
	/**
	 * Example:
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example() {
		JunOpenGLDisplayObjects displayObjects = new JunOpenGLDisplayObjects(JunOpenGLDisplayObjects.TypicalObjectMethods());
		displayObjects.open();

		return true;
	}

	/**
	 * Example:
	 * 
	 * @return boolean
	 * @throws NoSuchMethodException 
	 * @throws SecurityException
	 * @category Examples
	 */
	public static boolean Example1() throws SecurityException, NoSuchMethodException {
		JunOpenGLDisplayObjects displayObjects = new JunOpenGLDisplayObjects(new Method[] {
				JunOpenGL3dObject.class.getDeclaredMethod("Aoki", (Class[]) null),
				JunOpenGL3dObject.class.getDeclaredMethod("Doraemon", (Class[]) null),
				JunOpenGL3dObject.class.getDeclaredMethod("Mickey", (Class[]) null),
				JunOpenGL3dObject.class.getDeclaredMethod("Pooh", (Class[]) null) });
		displayObjects.open();

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 * @category Main
	 */
	public static void main(String[] args) {
		new JunOpenGLDisplayObjectsTestExamples();
	}
}
