package jp.co.sra.jun.opengl.display;

import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunOpenGLDisplayObjectsView interface
 * 
 *  @author    nisinaka
 *  @created   2006/07/25 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun682 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLDisplayObjectsView.java,v 9.8 2010/03/09 09:17:36 nisinaka Exp $
 */
public interface JunOpenGLDisplayObjectsView extends JunAbstractView {

	/**
	 * Answer my model as JunOpenGLDisplayObjects.
	 * 
	 * @return jp.co.sra.jun.opengl.display.JunOpenGLDisplayObjects
	 * @category model accessing
	 */
	public JunOpenGLDisplayObjects getOpenGLDisplayObjects();

}
