package jp.co.sra.jun.opengl.display;

import java.awt.event.MouseEvent;

/**
 * JunOpenGLEmbeddedDisplayController class
 * 
 *  @author    nisinaka
 *  @created   2003/01/08 (by nisinaka)
 *  @updated   2007/09/11 (by nisinaka)
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLEmbeddedDisplayController.java,v 9.8 2010/03/09 09:17:36 nisinaka Exp $
 */
public class JunOpenGLEmbeddedDisplayController extends JunOpenGLDisplayController {

	/**
	 * Activity for the yellow button.
	 * 
	 * @param e java.awt.event.MouseEvent
	 * @see jp.co.sra.jun.opengl.display.JunOpenGLDisplayController#yellowButtonActivity(java.awt.event.MouseEvent)
	 * @category control defaults
	 */
	protected void yellowButtonActivity(MouseEvent e) {
		// self yellowButtonShiftActivity ifTrue: [^nil].
		this.flushMovementVector();
		this.view()._showPopupMenu(e.getX(), e.getY());
	}

}
