package jp.co.sra.jun.opengl.display;

import jp.co.sra.smalltalk.StController;

/**
 * JunOpenGLEmbeddedDisplayViewAwt class
 * 
 *  @author    nisinaka
 *  @created   2003/01/08 (by nisinaka)
 *  @updated   2005/03/02 (by nisinaka)
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLEmbeddedDisplayViewAwt.java,v 9.8 2010/03/09 09:17:36 nisinaka Exp $
 */
public class JunOpenGLEmbeddedDisplayViewAwt extends JunOpenGLDisplayViewAwt implements JunOpenGLEmbeddedDisplayView {
	/**
	 * Create a new instance of <code>JunOpenGLEmbeddedDisplayViewAwt</code> and initialize it.
	 *
	 * @param aModel jp.co.sra.jun.opengl.display.JunOpenGLEmbeddedDisplayModel
	 * @category Instance creation
	 */
	public JunOpenGLEmbeddedDisplayViewAwt(JunOpenGLEmbeddedDisplayModel aModel) {
		super(aModel);
	}

	/**
	 * Answer a default controller.
	 * 
	 * @return jp.co.sra.smalltalk.StController
	 * @see jp.co.sra.jun.opengl.display.JunOpenGLDisplayViewAwt#defaultController()
	 * @category defaults
	 */
	protected StController defaultController() {
		return new JunOpenGLEmbeddedDisplayController();
	}
}
