package jp.co.sra.jun.opengl.display;

import java.awt.Color;

import jp.co.sra.jun.geometry.basic.Jun3dPoint;
import jp.co.sra.jun.opengl.objects.JunOpenGL3dObject;

/**
 * JunOpenGLShowModelTestExamples class
 * 
 *  @author    UNKNOWN
 *  @created   UNKNOWN
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLShowModelTestExamples.java,v 9.9 2010/03/09 09:17:37 nisinaka Exp $
 */
public class JunOpenGLShowModelTestExamples extends jp.co.sra.jun.system.support.JunTestExamples {
	/**
	 * Example1.
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example1() {
		JunOpenGLShowModel model = new JunOpenGLShowModel();
		JunOpenGL3dObject aCube = JunOpenGL3dObject.Cube();
		aCube = aCube.translatedBy_(new Jun3dPoint(2, 2, 2));
		aCube.paint_(Color.red);
		model.displayObject_(aCube);
		model.open();

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 * @category Main
	 */
	public static void main(String[] args) {
		new JunOpenGLShowModelTestExamples();
	}
}
