package jp.co.sra.jun.opengl.plotter;

import jp.co.sra.jun.system.support.JunTestExamples;

/**
 * JunOpenGLPlotterTestExamples class
 * 
 *  @author    Hirotsugu Kondo
 *  @created   1999/01/05 (by Hirotsugu Kondo)
 *  @updated   2006/11/02 (by nisinaka)
 *  @version   758 (with StPL9.7) based on Jun629 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLPlotterTestExamples.java,v 9.9 2010/03/09 09:17:43 nisinaka Exp $
 */
public class JunOpenGLPlotterTestExamples extends JunTestExamples {

	/**
	 * Example1:
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example1() {
		JunOpenGLPlotter aPlotter = new JunOpenGLPlotter();
		aPlotter.open();

		return true;
	}

	/**
	 * Example2:
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example2() {
		JunOpenGLPlotter aPlotter = new JunOpenGLPlotter();
		for (int index = 0; index < 2; index++) {
			aPlotter.open();
		}

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 * @category Main
	 */
	public static void main(String[] args) {
		new JunOpenGLPlotterTestExamples();
	}

}
