package jp.co.sra.jun.opengl.projection;

import java.awt.Color;

import jp.co.sra.jun.opengl.display.JunOpenGLDisplayModel;
import jp.co.sra.jun.opengl.objects.JunOpenGL3dObject;

/**
 * JunOpenGLProjectionTestExamples class
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   1999/04/08 (MATSUDA Ryouichi)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLProjectionTestExamples.java,v 9.9 2010/03/09 09:17:43 nisinaka Exp $
 */
public class JunOpenGLProjectionTestExamples extends jp.co.sra.jun.system.support.JunTestExamples {

	/**
	 * ManualExample1:
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean ManualExample1() {
		JunOpenGL3dObject aCube = JunOpenGL3dObject.Cube();
		aCube.paint_(Color.magenta);
		JunOpenGLDisplayModel.Show_(aCube);

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 * @category Main
	 */
	public static void main(String[] args) {
		new JunOpenGLProjectionTestExamples();
	}

}
