package jp.co.sra.jun.opengl.support;

import jp.co.sra.gl4jun.GLjInterface;

import jp.co.sra.jun.system.support.JunTestExamples;

/**
 * JunOpenGLInterfaceTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2007/08/17 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLInterfaceTestExamples.java,v 9.8 2010/03/09 09:17:45 nisinaka Exp $
 */
public class JunOpenGLInterfaceTestExamples extends JunTestExamples {

	/**
	 * Test for glExtensions.
	 * 
	 * @return boolean
	 * @category Testing
	 */
	public static boolean Test_glExtensions() {
		GLjInterface gli = GLjInterface.Current();
		String aString = gli.glGetString(gli.GL_EXTENSIONS);
		System.out.println(aString);

		return true;
	}

	/**
	 * Execute the test examples.
	 * 
	 * @param args java.lang.String[]
	 * @category Main 
	 */
	public static void main(String[] args) {
		new JunOpenGLInterfaceTestExamples();
	}

}
