package jp.co.sra.jun.system.dialog;

import jp.co.sra.smalltalk.StSimpleDialogView;

/**
 * JunInternetConnectionDialogView interface
 * 
 *  @author    nisinaka
 *  @created   2008/08/15 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun704 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunInternetConnectionDialogView.java,v 9.7 2010/03/09 09:17:47 nisinaka Exp $
 */
public interface JunInternetConnectionDialogView extends StSimpleDialogView {

	/**
	 * Answer my model as JunInternetConnectionDialog.
	 * 
	 * @return jp.co.sra.jun.system.dialog.JunInternetConnectionDialog
	 * @category model accessing
	 */
	public JunInternetConnectionDialog getInternetConnectionDialog();

}
