package jp.co.sra.jun.system.dialog;

import java.awt.Component;

import jp.co.sra.smalltalk.StSimpleDialogView;

/**
 * JunPopUpDialogView interface
 * 
 *  @author    nisinaka
 *  @created   2006/10/16 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun651 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunPopUpDialogView.java,v 9.8 2010/03/09 09:17:47 nisinaka Exp $
 */
public interface JunPopUpDialogView extends StSimpleDialogView {

	/**
	 * Answer my model as JunPopUpDialog.
	 * 
	 * @return jp.co.sra.jun.system.dialog.JunPopUpDialog
	 * @category model accessing
	 */
	public JunPopUpDialog getPopUpDialog();

	/**
	 * Answer my focused component.
	 * 
	 * @return java.awt.Component
	 * @category user interface
	 */
	public Component _focusedComponent();

}
