package jp.co.sra.jun.system.dialog;

/**
 * JunTextInputFieldView interface
 * 
 *  @author    nisinaka
 *  @created   2006/10/16 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun651 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunTextInputFieldView.java,v 9.8 2010/03/09 09:17:47 nisinaka Exp $
 */
public interface JunTextInputFieldView extends JunPopUpDialogView {

	/**
	 * Answer my model as JunTextInputField.
	 * 
	 * @return jp.co.sra.jun.system.dialog.JunTextInputField
	 * @category model accessing
	 */
	public JunTextInputField getTextInputField();

}
