package jp.co.sra.jun.vrml.field.sf;

import jp.co.sra.jun.vrml.field.abstracts.JunVrmlSFField;

/**
 * JunVrmlSFInt32Field class
 * 
 *  @author    nisinaka
 *  @created   2000/03/29 (by nisinaka)
 *  @updated   2008/05/28 (by nisinaka)
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVrmlSFInt32Field.java,v 9.9 2010/03/09 09:18:01 nisinaka Exp $
 */
public class JunVrmlSFInt32Field extends JunVrmlSFField {

	protected int value;

	/**
	 * Create a new instance of JunVrmlSFInt32Field and initialize it.
	 * 
	 * @param number int
	 */
	public JunVrmlSFInt32Field(int number) {
		this.value_(number);
	}

	/**
	 * Answer my value.
	 * 
	 * @return int
	 */
	public int value() {
		return value;
	}

	/**
	 * Set my value.
	 * 
	 * @param intValue int
	 */
	public void value_(int intValue) {
		value = intValue;
	}

}
