package jp.co.sra.jun.vrml.node.abstracts;

/**
 * JunVrmlAbstractGroupingNode class
 * 
 *  @author    ASTI Beijing
 *  @created   UNKNOWN
 *  @updated   2000/03/27 (by nisinaka)
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVrmlAbstractGroupingNode.java,v 9.9 2010/03/09 09:18:01 nisinaka Exp $
 */
public abstract class JunVrmlAbstractGroupingNode extends JunVrmlNode {

	/**
	 * Answer true if the receiver is a grouping node, otherwise false.
	 * 
	 * @return boolean
	 */
	public boolean isGroupingNode() {
		return true;
	}

}
