package jp.co.sra.jun.vrml.support;

import jp.co.sra.jun.opengl.display.JunOpenGLDisplayModel;
import jp.co.sra.jun.vrml.node.abstracts.JunVrmlNode;

/**
 * JunVrmlGenerator20TestExamples class
 * 
 *  @author    nisinaka
 *  @created   2000/04/18 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVrmlGenerator20TestExamples.java,v 9.9 2010/03/09 09:18:04 nisinaka Exp $
 */
public class JunVrmlGenerator20TestExamples extends jp.co.sra.jun.system.support.JunTestExamples {

	/**
	 * Example1:
	 * 
	 * @return boolean
	 */
	public static boolean Example() {
		JunVrmlParser20 aParser = new JunVrmlParser20();
		JunVrmlNode[] nodes = aParser.parse_(JunVrmlCompilerTestExamples.Benzene20());
		JunVrmlGenerator20 aGenerator = new JunVrmlGenerator20();
		JunOpenGLDisplayModel aModel = aGenerator.generate_(nodes);
		aModel.open();

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new JunVrmlGenerator20TestExamples();
	}

}
