package jp.co.sra.jun.vrml.support;

import jp.co.sra.jun.opengl.objects.JunOpenGL3dObject;

/**
 * JunVrmlRenderingContextTestExamples class
 * 
 *  @author    UNKNOWN
 *  @created   UNKNOWN
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVrmlRenderingContextTestExamples.java,v 9.9 2010/03/09 09:18:05 nisinaka Exp $
 */
public class JunVrmlRenderingContextTestExamples extends jp.co.sra.jun.system.support.JunTestExamples {

	/**
	 * Example1:
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunVrmlRenderingContext vrmlRenderingContext = new JunVrmlRenderingContext();
		vrmlRenderingContext.setVrml10();
		vrmlRenderingContext.displayObject_(JunOpenGL3dObject.Cube());
		System.out.println(vrmlRenderingContext.vrmlString());

		return true;
	}

	/**
	 * Example2:
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		JunVrmlRenderingContext vrmlRenderingContext = new JunVrmlRenderingContext();
		vrmlRenderingContext.setVrml20();
		vrmlRenderingContext.displayObject_(JunOpenGL3dObject.Cube());
		System.out.println(vrmlRenderingContext.vrmlString());

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new JunVrmlRenderingContextTestExamples();
	}

}
