package jp.co.sra.smalltalk;

/**
 * DependentListener interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   1999/06/24 (by MATSUDA Ryouichi)
 *  @updated   N/A
 *  @version   9.7
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: DependentListener.java,v 9.7 2010/03/09 09:18:06 nisinaka Exp $
 */
public interface DependentListener extends java.util.EventListener {
	/**
	 * Called when a changed method is invoked on a dependence.
	 * 
	 * @param evt jp.co.sra.smalltalk.DependentEvent
	 * @category updating
	 */
	public void update_(DependentEvent evt);
}
