package jp.co.sra.smalltalk;

/**
 * StValued interface
 * 
 *  @author    nisinaka
 *  @created   2003/03/07 (by nisinaka)
 *  @updated   2008/04/22 (by nisinaka)
 *  @version   9.7
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: StValued.java,v 9.8 2010/03/09 09:18:07 nisinaka Exp $
 */
public interface StValued<V> {

	/**
	 * Answer the value.
	 *
	 * @return java.lang.Object
	 * @category accessing
	 */
	public V value();

}
