package jp.co.sra.smalltalk;

import java.awt.PopupMenu;

/**
 * StViewAwt interface
 * 
 *  @author    nisinaka
 *  @created   2005/03/01 (by nisinaka)
 *  @updated   N/A
 *  @version   9.7
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: StViewAwt.java,v 9.7 2010/03/09 09:18:07 nisinaka Exp $
 */
public interface StViewAwt extends StView {

	/**
	 * Answer my popup menu view.
	 *
	 * @return java.awt.PopupMenu
	 * @category popup menu
	 */
	public PopupMenu popupMenuView();

	/**
	 * Set my popup menu view.
	 * 
	 * @param aPopupMenu java.awt.PopupMenu
	 * @category popup menu
	 */
	public void popupMenuView_(PopupMenu aPopupMenu);

}