package jp.co.sra.smalltalk.menu;

import java.util.EventListener;

/**
 * MenuListener interface
 * 
 *  @author    nisinaka
 *  @created   2005/02/18 (by nisinaka)
 *  @updated   N/A
 *  @version   9.7
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: MenuListener.java,v 9.7 2010/03/09 09:18:08 nisinaka Exp $
 */
public interface MenuListener extends EventListener {

	/**
	 * The menu is performed with the menu event.
	 * 
	 * @param aMenuEvent jp.co.sra.smalltalk.menu.MenuEvent
	 * @category event handling
	 */
	public void menuPerformed(MenuEvent aMenuEvent);

}