package jp.co.sra.gl4jun.test;

import java.awt.*;
import jp.co.sra.gl4jun.*;

/**
 * GLjCanvasTest class
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   1999/08/19 (by MATSUDA Ryouichi)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: GLjCanvasTest.java,v 9.8 2010/03/09 09:16:42 nisinaka Exp $
 */
public class GLjCanvasTest extends GLjCanvas {

	/**
	 * DOCUMENT ME!
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		Frame frame = new Frame();
		MenuBar menuBar = new MenuBar();
		frame.setMenuBar(menuBar);

		Menu fileMenu = new Menu("File");
		menuBar.add(fileMenu);
		fileMenu.add(new MenuItem("Exit"));

		GLjCanvasTest glCanvas = new GLjCanvasTest();

		//glCanvas.setRenderingMode(RENDER_IMAGECOPY);
		frame.add("Center", glCanvas);
		frame.add("East", new Button("East"));
		frame.add("West", new Button("West"));
		frame.pack();
		frame.setVisible(true);
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @param gl jp.co.sra.gl4jun.GLjInterface
	 */
	protected void render(GLjInterface gl) {
		gl.glClearColor(1.0f, 1.0f, 1.0f, 1.0f);
		gl.glClear(gl.GL_COLOR_BUFFER_BIT);
		gl.glColor3f(1.0f, 0.0f, 0.0f);
		gl.glPolygonMode(gl.GL_FRONT, gl.GL_LINE);
		gl.glPolygonMode(gl.GL_BACK, gl.GL_FILL);
		gl.glFrontFace(gl.GL_CW);
		gl.glBegin(gl.GL_POLYGON);
		gl.glVertex2f(-0.5f, 0.5f);
		gl.glVertex2f(-0.5f, -0.5f);
		gl.glVertex2f(0.5f, -0.5f);
		gl.glVertex2f(0.5f, 0.5f);
		gl.glEnd();
	}
}
