package jp.co.sra.jun.collections.linkedlist;

import jp.co.sra.jun.system.support.JunTestExamples;

/**
 * JunDoubleLinkedListTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2002/01/21 (by nisinaka)
 *  @updated   2008/04/24 (by nisinaka)
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunDoubleLinkedListTestExamples.java,v 9.9 2010/03/09 09:16:43 nisinaka Exp $
 */
public class JunDoubleLinkedListTestExamples extends JunTestExamples {

	/**
	 * Example1:
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunDoubleLinkedList<Integer> linkedList = new JunDoubleLinkedList<Integer>();
		linkedList.add_(10);
		linkedList.add_(20);
		linkedList.addFirst_(30);
		linkedList.addFirst_(40);

		System.out.println(linkedList);

		return true;
	}

	/**
	 * Example3:
	 * 
	 * @return boolean
	 */
	public static boolean Example3() {
		JunDoubleLinkedList<Integer> linkedList = new JunDoubleLinkedList<Integer>();
		linkedList.add_(20);
		linkedList.add_(30);
		linkedList.addFirst_(10);
		linkedList.addLast_(40);
		linkedList.add_before_(15, 20);
		linkedList.add_after_(35, 30);
		linkedList.add_before_(5, null);
		linkedList.add_after_(45, null);

		System.out.println(linkedList);

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 * 
	 * @throws Exception DOCUMENT ME!
	 */
	public static void main(String[] args) throws Exception {
		new JunDoubleLinkedListTestExamples();
	}

}
