package jp.co.sra.jun.collections.linkedlist;

/**
 * JunSingleLinkedList class
 * 
 *  @author    nisinaka
 *  @created   1998/11/09 (by nisinaka)
 *  @updated   2002/07/18 (by nisinaka)
 *  @updated   2008/04/24 (by nisinaka)
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunSingleLinkedList.java,v 9.9 2010/03/09 09:16:43 nisinaka Exp $
 */
public class JunSingleLinkedList<E> extends JunAbstractLinkedList<E, JunSingleLink<E>> {

	/**
	 * Create a link.
	 * 
	 * @param anObject java.lang.Object
	 * @return jp.co.sra.jun.collections.linkedlist.JunAbstractLink
	 * @see jp.co.sra.jun.collections.linkedlist.JunAbstractLinkedList#_createLink(java.lang.Object)
	 * @category private
	 */
	@Override
	protected JunSingleLink<E> _createLink(E anObject) {
		return new JunSingleLink<E>(anObject);
	}

}
