package jp.co.sra.jun.csg.abstracts;

import jp.co.sra.jun.solid.abstracts.JunSolidModel;

/**
 * JunUnaryCSG class
 * 
 *  @author    nisinaka
 *  @created   1998/10/19 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunUnaryCSG.java,v 9.8 2010/03/09 09:16:46 nisinaka Exp $
 */
public abstract class JunUnaryCSG extends JunCSG {
	protected JunSolidModel solid;

	/**
	 * Create a new instance of JunBinaryCSG.
	 * 
	 * @param aSolid jp.co.sra.jun.solid.abstracts.JunSolid
	 */
	public JunUnaryCSG(JunSolidModel aSolid) {
		this.solid_(aSolid);
	}

	/**
	 * Answer the solid.
	 * 
	 * @return jp.co.sra.jun.solid.abstracts.JunSolid
	 */
	public JunSolidModel solid() {
		return solid;
	}

	/**
	 * Set the solid.
	 * 
	 * @param aSolid jp.co.sra.jun.solid.abstracts.JunSolid
	 */
	public void solid_(JunSolidModel aSolid) {
		solid = aSolid;
	}
}
