package jp.co.sra.jun.geometry.forms;

import jp.co.sra.jun.system.framework.JunAbstractObject;

/**
 * JunFormOperation class
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2007/06/06 (by m-asada)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun500 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunFormOperation.java,v 9.9 2010/03/09 09:16:53 nisinaka Exp $
 */
public abstract class JunFormOperation extends JunAbstractObject {
	/**
	 * Create a new instance of <code>JunFormOperation</code> and initialize it.
	 * 
	 * @category Instance creation
	 */
	public JunFormOperation() {
		super();
	}

	/**
	 * Initialize the receiver
	 * 
	 * @see jp.co.sra.jun.system.framework.JunAbstractObject#initialize()
	 * @category initialize-release
	 */
	protected void initialize() {
		super.initialize();
	}
}
