package jp.co.sra.jun.goodies.calendar;

import jp.co.sra.jun.system.dialog.JunAbstractDialogView;

/**
 * JunCalendarDateAndTimeIntervalDialogView interface
 * 
 *  @author    Nobuto Matsubara
 *  @created   2003/10/06 (by Nobuto Matsubara)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun472 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunCalendarDateAndTimeIntervalDialogView.java,v 9.9 2010/03/09 09:16:59 nisinaka Exp $
 */
public interface JunCalendarDateAndTimeIntervalDialogView extends JunAbstractDialogView {

	/**
	 * Answer my model as a JunCalendarDateAndTimeIntervalDialog.
	 *
	 * @return JunCalendarDateAndTimeIntervalDialog
	 */
	public JunCalendarDateAndTimeIntervalDialog getCalendarDateAndTimeIntervalDialog();

}
