package jp.co.sra.jun.goodies.colors;

import jp.co.sra.jun.system.dialog.JunAbstractDialogView;

/**
 * JunColorChoiceDialogView interface
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2003/04/02 (by Mitsuhiro Asada)
 *  @updated   2008/05/14 (by Mitsuhiro Asada)
 *  @version   758 (with StPL9.7) based on Jun490 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunColorChoiceDialogView.java,v 9.9 2010/03/09 09:17:01 nisinaka Exp $
 */
public interface JunColorChoiceDialogView extends JunAbstractDialogView {

	/**
	 * Answer my model as a JunColorChoiceDialog.
	 * 
	 * @return jp.co.sra.jun.goodies.colors.JunColorChoiceDialog
	 * @category model accessing
	 */
	public JunColorChoiceDialog getColorChoiceDialog();
}
