package jp.co.sra.jun.goodies.files;

import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunFileView interface
 * 
 *  @author    nisinaka
 *  @created   2003/02/28 (by nisinaka)
 *  @updated   2004/09/21 (by nisinaka)
 *  @version   758 (with StPL9.7) based on Jun433 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunFileView.java,v 9.8 2010/03/09 09:17:07 nisinaka Exp $
 */
public interface JunFileView extends JunAbstractView {

	/**
	 * Answer my model as JunFileModel.
	 *
	 * @return jp.co.sra.jun.goodies.files.JunFileModel
	 * @category model accessing
	 */
	public JunFileModel getFileModel();

}
