package jp.co.sra.jun.goodies.freehand;

import java.awt.Color;

import jp.co.sra.jun.system.support.JunTestExamples;

/**
 * JunFreehandPageTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2002/07/05 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun634 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunFreehandPageTestExamples.java,v 9.8 2010/03/09 09:17:10 nisinaka Exp $
 */
public class JunFreehandPageTestExamples extends JunTestExamples {

	/**
	 * Example1: Open a freehand page.
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunFreehandPage freehandPage = new JunFreehandPage();
		freehandPage.nibColor_(Color.black);
		freehandPage.nibWidth_(2);
		freehandPage.open();

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new JunFreehandPageTestExamples();
	}

}
