package jp.co.sra.jun.goodies.lisp;

import java.io.IOException;
import java.io.Writer;

/**
 * JunLispObject interface
 * 
 *  @author    nisinaka
 *  @created   2009/05/07 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunLispObject.java,v 9.4 2010/03/09 09:17:14 nisinaka Exp $
 */
public interface JunLispObject {

	/**
	 * Save the receiver as JunLispObject on the writer.
	 * 
	 * @param aWriter java.io.Writer
	 * @throws java.io.IOException
	 * @category saving
	 */
	public void saveAsLispObjectOn_(Writer aWriter) throws IOException;

}
