package jp.co.sra.jun.goodies.meter;

/**
 * JunStereoLevelMeterView interface
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2007/04/04 (by m-asada)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun652 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunStereoLevelMeterView.java,v 9.8 2010/03/09 09:17:15 nisinaka Exp $
 */
public interface JunStereoLevelMeterView extends JunAbstractGaugeMeterView {
	/**
	 * Answer the receiver's model as JunStereoLevelMeter
	 * 
	 * @return jp.co.sra.jun.goodies.meter.JunStereoLevelMeter
	 * @category model accessing
	 */
	public JunStereoLevelMeter getStereoLevelMeter();
}
