package jp.co.sra.jun.goodies.misc;

import jp.co.sra.jun.opengl.display.JunOpenGL3dView;

/**
 * JunFeelTheMoonView interface
 * 
 *  @author    nisinaka
 *  @created   2010/03/09 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun758 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunFeelTheMoonView.java,v 9.1 2010/03/09 09:17:16 nisinaka Exp $
 */
public interface JunFeelTheMoonView extends JunOpenGL3dView {

	/**
	 * Answer my model as JunFeelTheMoon.
	 * 
	 * @return jp.co.sra.jun.goodies.misc.JunFeelTheMoon
	 * @category model accessing
	 */
	public JunFeelTheMoon getFeelTheMoon();

}
