package jp.co.sra.jun.goodies.morph;

import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunMorphApplicationView interface
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2008/11/11 (by m-asada)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun714 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunMorphApplicationView.java,v 9.7 2010/03/09 09:17:16 nisinaka Exp $
 */
public interface JunMorphApplicationView extends JunAbstractView {
	/**
	 * Answer the receiver's model as <code>JunMorphModel</code>.
	 * 
	 * @return jp.co.sra.jun.goodies.morph.JunMorphModel
	 * @category model accessing
	 */
	public JunMorphModel getModel();
}
