package jp.co.sra.jun.goodies.multimedia;

import java.awt.Color;

import jp.co.sra.jun.goodies.display.JunDisplayViewSwing;

/**
 * JunMultiMediaExtraViewSwing class
 * 
 *  @author    nisinaka
 *  @created   2005/09/07 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun526 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunMultiMediaExtraViewSwing.java,v 9.8 2010/03/09 09:17:18 nisinaka Exp $
 */
public class JunMultiMediaExtraViewSwing extends JunDisplayViewSwing implements JunMultiMediaExtraView {

	/**
	 * Create a new instance of JunMultiMediaExtraViewSwing and initialize it.
	 *
	 * @param anExtraModel jp.co.sra.jun.goodies.multimedia.JunMultiMediaExtraModel
	 * @category Instance creation
	 */
	public JunMultiMediaExtraViewSwing(JunMultiMediaExtraModel anExtraModel) {
		super(anExtraModel);
	}

	/**
	 * Build this component.
	 * 
	 * @see jp.co.sra.jun.goodies.display.JunDisplayViewSwing#buildComponent()
	 * @category initialize-release
	 */
	protected void buildComponent() {
		super.buildComponent();
		this.canvas().setBackground(Color.white);
	}

}
