package jp.co.sra.jun.goodies.multimedia;

import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunMultiMediaTextView interface
 * 
 *  @author    nisinaka
 *  @created   2003/03/18 (by nisinaka)
 *  @updated   2004/09/21 (by nisinaka)
 *  @version   758 (with StPL9.7) based on Jun490 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunMultiMediaTextView.java,v 9.8 2010/03/09 09:17:18 nisinaka Exp $
 */
public interface JunMultiMediaTextView extends JunAbstractView {

	/**
	 * Answer my model as JunMultiMediaTextModel.
	 *
	 * @return jp.co.sra.jun.goodies.multimedia.JunMultiMediaTextModel
	 * @category model accessing
	 */
	public JunMultiMediaTextModel getTextModel();

}
