package jp.co.sra.jun.goodies.multimedia;

/**
 * JunMultiMediaViewable interface
 * 
 *  @author    nisinaka
 *  @created   2003/03/20 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun490 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunMultiMediaViewable.java,v 9.8 2010/03/09 09:17:18 nisinaka Exp $
 */
public interface JunMultiMediaViewable {

	/**
	 * Make be invisible.
	 * 
	 * @category accessing
	 */
	public void beInvisible();

	/**
	 * Make be visible.
	 * 
	 * @category accessing
	 */
	public void beVisible();
}
