package jp.co.sra.jun.goodies.nib;

import jp.co.sra.jun.system.dialog.JunAbstractDialogView;

/**
 * JunNibChoiceWithColorDialogView interface
 * 
 *  @author    Nobuto Matsubara
 *  @created   2004/03/26 (By Nobuto Matsubara)
 *  @updated   2008/05/16 (By m-asada)
 *  @version   758 (with StPL9.7) based on Jun490 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunNibChoiceWithColorDialogView.java,v 9.9 2010/03/09 09:17:19 nisinaka Exp $
 */
public interface JunNibChoiceWithColorDialogView extends JunAbstractDialogView {

	/**
	 * Answer my model as a JunNibChoiceWithColorDialog.
	 * 
	 * @return jp.co.sra.jun.goodies.colors.JunNibChoiceWithColorDialog
	 * @category model accessing
	 */
	public JunNibChoiceWithColorDialog getNibChoiceDialog();

}
