package jp.co.sra.jun.goodies.parameter;

/**
 * JunParametersModelTestExamples class
 * 
 *  @author    UNKNOWN
 *  @created   UNKNOWN
 *  @updated   2003/01/17 (by nisinaka)
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunParametersModelTestExamples.java,v 9.8 2010/03/09 09:17:19 nisinaka Exp $
 */
public class JunParametersModelTestExamples extends jp.co.sra.jun.system.support.JunTestExamples {

	/**
	 * Example1: open JunParametersModel.
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		(new JunParametersModel()).open();
		return true;
	}

	/**
	 * Example2: open JunParametersModel with a JunParameter.
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		JunParametersModel.OpenOnParameters_(new JunParameter[] { new JunParameter("param", 5, 1, 10, 1)});
		return true;
	}

	/**
	 * Example3: open JunPramaetersModel with 4 JunParameters.
	 * 
	 * @return boolean
	 */
	public static boolean Example3() {
		JunParametersModel.OpenOnParameters_(new JunParameter[] { new JunParameter("param 1", 10), new JunParameter("param 2", 40), new JunParameter("param 3", 70), new JunParameter("param 4", 100)});
		return true;
	}

	/**
	 * Example4: open JunPramaetersModel with 4 JunParameters.
	 * 
	 * @return boolean
	 */
	public static boolean Example4() {
		JunParametersModel aParametersModel = new JunParametersModel(new JunParameter[] { new JunParameter("param", 5, 1, 10, 1)});
		aParametersModel.open();
		aParametersModel.parameters_(new JunParameter[] { new JunParameter("param 1", 10), new JunParameter("param 2", 40), new JunParameter("param 3", 70), new JunParameter("param 4", 100)});
		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @param args DOCUMENT ME!
	 */
	public static void main(java.lang.String[] args) {
		new JunParametersModelTestExamples();
	}
}
