package jp.co.sra.jun.goodies.plotter;

/**
 * JunPlotterTestExamples class
 * 
 *  @author    Nobuto Matsubara
 *  @created   2003/10/30 (by Nobuto Matsubara)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun629 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunPlotterTestExamples.java,v 9.9 2010/03/09 09:17:20 nisinaka Exp $
 */
public class JunPlotterTestExamples extends jp.co.sra.jun.system.support.JunTestExamples {
	/**
	 * Example1: 
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example1() {
		JunPlotter aPlotter = new JunPlotter();
		aPlotter.open();
		return true;
	}

	/**
	 * Example2: 
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example2() {
		JunPlotter aPlotter = new JunPlotter();
		for (int i = 0; i < 2; ++i) {
			aPlotter.open();
		}
		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args an array of command-line arguments
	 * @category Main
	 */
	public static void main(String[] args) {
		new JunPlotterTestExamples();
	}
}
