package jp.co.sra.jun.goodies.track;

import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunTrackerView interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   1999/12/10 (by MATSUDA Ryouichi)
 *  @updated   2003/03/24 (by nisinaka)
 *  @updated   2004/09/21 (by nisinaka)
 *  @updated   2006/02/23 (by nisinaka)
 *  @version   758 (with StPL9.7) based on Jun651 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunTrackerView.java,v 9.8 2010/03/09 09:17:26 nisinaka Exp $
 */
public interface JunTrackerView extends JunAbstractView {

	/**
	 * Answer my model as JunTrackerModel.
	 * 
	 * @return jp.co.sra.jun.goodies.track.JunTrackerModel
	 * @category model accessing
	 */
	public JunTrackerModel getTrackerModel();

}
