package jp.co.sra.jun.graphics.framework;

import jp.co.sra.jun.system.support.JunTestExamples;

/**
 * JunGraphicTestExamples class
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2006/11/22 (by m-asada)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun640 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunGraphicTestExamples.java,v 9.9 2010/03/09 09:17:28 nisinaka Exp $
 */
public class JunGraphicTestExamples extends JunTestExamples {
	/**
	 * Example1: open the JunGraphicModel
	 * 
	 * @return boolean
	 * @category testing
	 */
	public static boolean Example1() {
		JunGraphicModel aModel = new JunGraphicModel();
		aModel.open();

		return true;
	}

	/**
	 * Execute the example launcher.
	 * 
	 * @param args java.lang.String[]
	 * @category Main
	 */
	public static void main(String[] args) {
		new JunGraphicTestExamples();
	}
}
