package jp.co.sra.jun.graphics.list;

import jp.co.sra.jun.graphics.framework.JunGraphicView;

/**
 * JunSequenceListView interface
 * 
 *  @author    nisinaka
 *  @created   2004/01/21 (by nisinaka)
 *  @updated   2006/11/22 (by m-asada)
 *  @version   758 (with StPL9.7) based on Jun637 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunSequenceListView.java,v 9.8 2010/03/09 09:17:29 nisinaka Exp $
 */
public interface JunSequenceListView extends JunGraphicView {
	/**
	 * Answer the receiver's model as <code>JunSequenceList</code>.
	 * 
	 * @return jp.co.sra.jun.graphics.list.JunSequenceList
	 * @category accessing
	 */
	public JunSequenceList getSequenceList();
}
