package jp.co.sra.jun.graphics.navigator;

import jp.co.sra.jun.graphics.framework.JunGraphicView;

/**
 * JunFileNavigatorView interface
 * 
 *  @author    nisinaka
 *  @created   2004/01/23 (by nisinaka)
 *  @updated   2006/11/29 (by m-asada)
 *  @version   758 (with StPL9.7) based on Jun638 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunFileNavigatorView.java,v 9.8 2010/03/09 09:17:30 nisinaka Exp $
 */
public interface JunFileNavigatorView extends JunGraphicView {
	/**
	 * Answer the receiver's model as <code>JunFileNavigator</code>.
	 * 
	 * @return jp.co.sra.jun.graphics.navigator.JunFileNavigator
	 * @category accessing
	 */
	public JunFileNavigator getFileNavigator();
}
