package jp.co.sra.jun.graphics.navigator;

import jp.co.sra.jun.system.dialog.JunAbstractDialogView;

/**
 * JunFileRequesterDialogView interface
 * 
 *  @author    nisinaka
 *  @created   2004/04/12 (by nisinaka)
 *  @updated   2006/11/29 (by m-asada)
 *  @updated   2008/05/14 (by m-asada)
 *  @version   758 (with StPL9.7) based on Jun638 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunFileRequesterDialogView.java,v 9.9 2010/03/09 09:17:30 nisinaka Exp $
 */
public interface JunFileRequesterDialogView extends JunAbstractDialogView {
	/**
	 * Answer the receiver's model as <code>JunFileRequesterDialog</code>.
	 * 
	 * @return jp.co.sra.jun.graphics.navigator.JunFileRequesterDialog
	 * @category model accessing
	 */
	public JunFileRequesterDialog getFileRequesterDialog();
}
