package jp.co.sra.jun.opengl.catalog;

import jp.co.sra.jun.opengl.display.JunOpenGLDisplayView;

/**
 * JunOpenGLCatalogViewerView interface
 * 
 *  @author    nisinaka
 *  @created   2009/06/15 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun727 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLCatalogViewerView.java,v 9.3 2010/03/09 09:17:34 nisinaka Exp $
 */
public interface JunOpenGLCatalogViewerView extends JunOpenGLDisplayView {

	/**
	 * Answer my model as JunOpenGLCatalogViewer.
	 * 
	 * @return jp.co.sra.jun.opengl.catalog.JunOpenGLCatalogViewer
	 * @category model accessing
	 */
	public JunOpenGLCatalogViewer getOpenGLCatalogViewer();

}
