package jp.co.sra.jun.opengl.chart;

import java.util.Vector;

import jp.co.sra.jun.system.support.JunTestExamples;

/**
 * JunChartDataWithNumericalKeysTestExamples class
 * 
 *  @author    nisinaka
 *  @created   1999/01/14 (by nisinaka)
 *  @updated   2008/06/09 (by nisinaka)
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunChartDataWithNumericalKeysTestExamples.java,v 9.9 2010/03/09 09:17:34 nisinaka Exp $
 */
public class JunChartDataWithNumericalKeysTestExamples extends JunTestExamples {

	/**
	 * Example1:
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunChartDataWithNumericalKeys newChartData = new JunChartDataWithNumericalKeys(SampleSamples());
		System.out.println(newChartData.printString());

		return true;
	}

	/**
	 * Sample data.
	 * 
	 * @return java.util.Vector
	 */
	protected static Vector<Vector<Object[]>> SampleSamples() {
		Vector<Vector<Object[]>> samples = new Vector<Vector<Object[]>>();

		Object[] anArray1 = { new Integer(4), new Integer(80), new Integer(320) };
		Object[] anArray2 = { new Integer(2), new Integer(20), new Integer(40) };
		Object[] anArray3 = { new Integer(1), new Integer(10), new Integer(10) };
		Object[] anArray4 = { new Integer(3), new Integer(40), new Integer(120) };
		Vector<Object[]> sample = new Vector<Object[]>(4);
		sample.addElement(anArray1);
		sample.addElement(anArray2);
		sample.addElement(anArray3);
		sample.addElement(anArray4);

		samples.addElement(sample);
		return samples;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new JunChartDataWithNumericalKeysTestExamples();
	}

}
