package jp.co.sra.jun.opengl.cosmos;

import jp.co.sra.jun.opengl.display.JunOpenGLDisplayView;

/**
 * JunOpenGLMicrocosmView interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   2000/01/10 (by MATSUDA Ryouichi)
 *  @updated   2007/08/27 (by nisinaka)
 *  @version   758 (with StPL9.7) based on Jun465 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLMicrocosmView.java,v 9.8 2010/03/09 09:17:35 nisinaka Exp $
 */
public interface JunOpenGLMicrocosmView extends JunOpenGLDisplayView {

	/**
	 * Answer my model as JunOpenGLMicrocosmModel.
	 * 
	 * @return jp.co.sra.jun.opengl.cosmos.JunOpenGLMicrocosmModel
	 * @category model accessing
	 */
	public JunOpenGLMicrocosmModel getOpenGLMicrocosmModel();

}
