package jp.co.sra.jun.opengl.display;

import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunOpenGLDisplayLightView interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   UNKNOWN
 *  @updated   2000/01/25 (by MATSUDA Ryouichi)
 *  @updated   2003/05/13 (by nisinaka)
 *  @updated   2004/09/21 (by nisinaka)
 *  @version   758 (with StPL9.7) based on Jun608 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLDisplayLightView.java,v 9.8 2010/03/09 09:17:36 nisinaka Exp $
 */
public interface JunOpenGLDisplayLightView extends JunAbstractView {
	/**
	 * Answer my model as JunOpenGLDisplayLight.
	 *
	 * @return jp.co.sra.jun.opengl.display.JunOpenGLDisplayLight
	 * @category model accessing
	 */
	public JunOpenGLDisplayLight getOpenGLDisplayLight();
}
