package jp.co.sra.jun.opengl.display;

import jp.co.sra.jun.opengl.objects.JunOpenGL3dObject;

/**
 * JunOpenGLEmbeddedDisplayModelTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2003/01/08 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLEmbeddedDisplayModelTestExamples.java,v 9.8 2010/03/09 09:17:36 nisinaka Exp $
 */
public class JunOpenGLEmbeddedDisplayModelTestExamples extends jp.co.sra.jun.system.support.JunTestExamples {
	/**
	 * Example1:
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example1() {
		JunOpenGLDisplayModel displayModel = new JunOpenGLEmbeddedDisplayModel(JunOpenGL3dObject.Cube());
		displayModel.open();
		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 * @category Main
	 */
	public static void main(String[] args) {
		new JunOpenGLEmbeddedDisplayModelTestExamples();
	}
}
