package jp.co.sra.jun.opengl.display;

/**
 * JunOpenGLShowView interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   2000/01/10 (by MATSUDA Ryouichi)
 *  @updated   2003/05/08 (by nisinaka)
 *  @updated   2007/08/24 (by nisinaka)
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLShowView.java,v 9.8 2010/03/09 09:17:37 nisinaka Exp $
 */
public interface JunOpenGLShowView extends JunOpenGLDisplayView {

	/**
	 * Answer my model as JunOpenGLShowModel.
	 *
	 * @return jp.co.sra.jun.opengl.display.JunOpenGLShowModel
	 * @category model accessing
	 */
	public JunOpenGLShowModel getOpenGLShowModel();

}
