package jp.co.sra.jun.opengl.display;

import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunOpenGLTypicalObjectsView interface
 * 
 *  @author    nisinaka
 *  @created   2009/08/19 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun738 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLTypicalObjectsView.java,v 9.3 2010/03/09 09:17:37 nisinaka Exp $
 */
public interface JunOpenGLTypicalObjectsView extends JunAbstractView {

	/**
	 * Answer my model as JunOpenGLTypicalObjects.
	 * 
	 * @return jp.co.sra.jun.opengl.display.JunOpenGLTypicalObjects
	 * @category model accessing
	 */
	public JunOpenGLTypicalObjects getOpenGLTypicalObjects();

}
