package jp.co.sra.jun.opengl.flux;

import jp.co.sra.jun.opengl.display.JunOpenGLDisplayView;

/**
 * JunOpenGLFluxView interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   2000/01/20 (by MATSUDA Ryouichi)
 *  @updated   2003/03/24 (by nisinaka)
 *  @updated   2004/03/16 (by nisinaka)
 *  @updated   2006/10/13 (by nisinaka)
 *  @version   758 (with StPL9.7) based on Jun632 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLFluxView.java,v 9.8 2010/03/09 09:17:37 nisinaka Exp $
 */
public interface JunOpenGLFluxView extends JunOpenGLDisplayView {

	/**
	 * Answer my model as JunOpenGLFluxModel.
	 * 
	 * @return jp.co.sra.jun.opengl.flux.JunOpenGLFluxModel
	 * @category model accessing
	 */
	public JunOpenGLFluxModel getOpenGLFluxModel();

}
