package jp.co.sra.jun.opengl.picking;

import jp.co.sra.jun.geometry.transformations.Jun3dTransformation;
import jp.co.sra.jun.opengl.objects.JunOpenGL3dObject;

/**
 * JunOpenGLPickingObjects interface
 * 
 *  @author    nisinaka
 *  @created   1999/02/22 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLPickingObjects.java,v 9.8 2010/03/09 09:17:43 nisinaka Exp $
 */
public interface JunOpenGLPickingObjects {

	/**
	 * Answer the array of JunOpenGL3dObject.
	 */
	JunOpenGL3dObject[] components();

	/**
	 * Answer the transformation.
	 * 
	 * @return jp.co.sra.jun.geometry.transformations.Jun3dTransformation
	 */
	Jun3dTransformation transformation();

}
