package jp.co.sra.jun.opengl.roughsketch;

import jp.co.sra.jun.opengl.display.JunOpenGLDisplayView;

/**
 * JunOpenGLRoughSketchView interface
 * 
 *  @author    nisinaka
 *  @created   2005/10/25 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun536 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLRoughSketchView.java,v 9.8 2010/03/09 09:17:44 nisinaka Exp $
 */
public interface JunOpenGLRoughSketchView extends JunOpenGLDisplayView {

	/**
	 * Answer my model as JunOpenGLRoughSketch.
	 * 
	 * @return jp.co.sra.jun.opengl.roughsketch.JunOpenGLRoughSketch
	 * @category model accessing
	 */
	public JunOpenGLRoughSketch getRoughSketch();

}
