package jp.co.sra.jun.system.dialog;

import jp.co.sra.smalltalk.StSimpleDialogView;

/**
 * JunAbstractDialogView interface
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2008/05/14 (by Mitsuhiro Asada)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun465 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunAbstractDialogView.java,v 9.9 2010/03/09 09:17:47 nisinaka Exp $
 */
public interface JunAbstractDialogView extends StSimpleDialogView {
	/**
	 * Answer the receiver's model as <code>JunAbstractDialog</code>.
	 *
	 * @return jp.co.sra.jun.system.dialog.JunAbstractDialog
	 * @category model accessing
	 */
	public JunAbstractDialog<?> getDialog();
}
