package jp.co.sra.jun.system.framework;

import jp.co.sra.smalltalk.StViewPanel;

/**
 * JunAbstractViewPanel class
 * 
 *  @author    nisinaka
 *  @created   2004/09/21 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun579 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunAbstractViewPanel.java,v 9.8 2010/03/09 09:17:48 nisinaka Exp $
 */
public abstract class JunAbstractViewPanel extends StViewPanel implements JunAbstractView {

	/**
	 * Create a new instance of JunAbstractViewPanel.
	 * 
	 * @category Instance creation
	 */
	public JunAbstractViewPanel() {
		super();
	}

	/**
	 * Create a new instance of JunAbstractViewPanel.
	 * 
	 * @param newModel jp.co.sra.jun.system.framework.JunApplicationModel
	 * @category Instance creation
	 */
	public JunAbstractViewPanel(JunApplicationModel newModel) {
		super(newModel);
	}
}
