package jp.co.sra.jun.terrain.editor;

import jp.co.sra.jun.system.support.JunTestExamples;

/**
 * JunTerrainEditModelTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2001/11/19 (by nisinaka)
 *  @updated   2007/08/28 (by nisinaka)
 *  @version   758 (with StPL9.7) based on Jun680 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunTerrainEditModelTestExamples.java,v 9.8 2010/03/09 09:17:50 nisinaka Exp $
 */
public class JunTerrainEditModelTestExamples extends JunTestExamples {

	/**
	 * Example: Open the application
	 * 
	 * @return boolean
	 * @category Examples
	 */
	public static boolean Example() {
		JunTerrainEditModel terrainEditModel = new JunTerrainEditModel();
		terrainEditModel.open();

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args an array of command-line arguments
	 * @category Main
	 */
	public static void main(String[] args) {
		new JunTerrainEditModelTestExamples();
	}

}
