package jp.co.sra.jun.topology.elements;

import jp.co.sra.jun.topology.abstracts.JunTopologicalElement;
import jp.co.sra.jun.topology.abstracts.JunTopologicalElementProxy;

/**
 * JunVertexProxy class
 * 
 *  @author    ASTI Shanghai
 *  @created   UNKNOWN
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVertexProxy.java,v 9.8 2010/03/09 09:17:54 nisinaka Exp $
 */
public class JunVertexProxy extends JunTopologicalElementProxy {
	/**
	 * Answer the JunTopologicalElement of JunBody corresponds to the receiver.
	 * 
	 * @param aJunBody jp.co.sra.jun.topology.elements.JunBody
	 * @return jp.co.sra.jun.topology.abstracts.JunTopologicalElement
	 * @see jp.co.sra.jun.topology.abstracts.JunTopologicalElementProxy#value_(jp.co.sra.jun.topology.elements.JunBody)
	 * @category converting
	 */
	public JunTopologicalElement value_(JunBody aJunBody) {
		return aJunBody.vertexAt_(this);
	}
}
