package jp.co.sra.jun.topology.graph;

import java.awt.Rectangle;

/**
 * JunElementalArcSettingsView interface
 * 
 *  @author    nisinaka
 *  @created   2006/04/20 (by nisinaka)
 *  @updated   2008/05/26 (by nisinaka)
 *  @version   758 (with StPL9.7) based on Jun593 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunElementalArcSettingsView.java,v 9.9 2010/03/09 09:17:55 nisinaka Exp $
 */
public interface JunElementalArcSettingsView extends JunElementalStuffSettingsView<JunElementalArc> {

	public static Rectangle DefaultBounds = new Rectangle(0, 0, 272, 352);

	/**
	 * Answer my model as JunElementalArcSettings.
	 * 
	 * @return jp.co.sra.jun.topology.graph.JunElementalArcSettings
	 * @category model accessing
	 */
	public JunElementalArcSettings getElementalArcSettings();

}
