package jp.co.sra.jun.topology.graph;

import java.awt.Rectangle;

/**
 * JunElementalNodeSettingsView interface
 * 
 *  @author    nisinaka
 *  @created   2006/04/17 (by nisinaka)
 *  @updated   2008/05/26 (by nisinaka)
 *  @version   758 (with StPL9.7) based on Jun593 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunElementalNodeSettingsView.java,v 9.9 2010/03/09 09:17:55 nisinaka Exp $
 */
public interface JunElementalNodeSettingsView extends JunElementalStuffSettingsView<JunElementalNode> {

	public static Rectangle DefaultBounds = new Rectangle(0, 0, 272, 256);

	/**
	 * Answer my model as JunElementalNodeSettings.
	 * 
	 * @return jp.co.sra.jun.topology.graph.JunElementalNodeSettings
	 * @category model accessing
	 */
	public JunElementalNodeSettings getElementalNodeSettings();

}
