package jp.co.sra.jun.topology.graph;

import java.awt.Dimension;

import jp.co.sra.jun.system.framework.JunAbstractView;

/**
 * JunElementalStuffSettingsView interface
 * 
 *  @author    nisinaka
 *  @created   2006/04/17 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on Jun598 for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunElementalStuffSettingsView.java,v 9.9 2010/03/09 09:17:55 nisinaka Exp $
 */
public interface JunElementalStuffSettingsView<E extends JunElementalStuff> extends JunAbstractView {

	public static Dimension ButtonColorImageSize = new Dimension(64, 12);

	/**
	 * Answer my model as JunElementalStuffSettings.
	 * 
	 * @return jp.co.sra.jun.topology.graph.JunElementalStuffSettings
	 * @category model accessing
	 */
	public JunElementalStuffSettings<E> getElementalStuffSettings();

}
