package jp.co.sra.jun.voronoi.twoD.diagram;

import jp.co.sra.jun.system.support.JunTestExamples;

/**
 * JunVoronoi2dLineTestExamples class
 * 
 *  @author    NISHIHARA Satoshi
 *  @created   2000/01/25 (by NISHIHARA Satoshi)
 *  @updated   2006/11/07 (by nisinaka)
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVoronoi2dLineTestExamples.java,v 9.8 2010/03/09 09:17:58 nisinaka Exp $
 */
public class JunVoronoi2dLineTestExamples extends JunTestExamples {

	/**
	 * Example1:
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunVoronoi2dLine line = new JunVoronoi2dLine(new JunVoronoi2dDot(0, 0), new JunVoronoi2dDot(1, 1));
		System.out.println(line);

		return true;
	}

	/**
	 * Example2:
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		JunVoronoi2dLine line1 = new JunVoronoi2dLine(new JunVoronoi2dDot(0, 0), new JunVoronoi2dDot(1, 1));
		JunVoronoi2dLine line2 = new JunVoronoi2dLine(new JunVoronoi2dDot(1, 0), new JunVoronoi2dDot(0, 1));
		JunVoronoi2dPoint point = line1.intersectingPointWithLine_(line2);
		System.out.println(point);

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new JunVoronoi2dLineTestExamples();
	}

}
