package jp.co.sra.jun.vrml.support;

import jp.co.sra.jun.opengl.display.JunOpenGLDisplayModel;
import jp.co.sra.jun.vrml.node.abstracts.JunVrmlNode;

/**
 * JunVrmlGenerator97TestExamples class
 * 
 *  @author    nisinaka
 *  @created   2000/04/18 (by nisinaka)
 *  @updated   N/A
 *  @version   758 (with StPL9.7) based on JunXXX for Smalltalk
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2005 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVrmlGenerator97TestExamples.java,v 9.9 2010/03/09 09:18:05 nisinaka Exp $
 */
public class JunVrmlGenerator97TestExamples extends jp.co.sra.jun.system.support.JunTestExamples {

	/**
	 * Example:
	 * 
	 * @return boolean
	 */
	public static boolean Example() {
		JunVrmlParser97 aParser = new JunVrmlParser97();
		JunVrmlNode[] nodes = aParser.parse_(JunVrmlCompilerTestExamples.Benzene20());
		JunVrmlGenerator97 aGenerator = new JunVrmlGenerator97();
		JunOpenGLDisplayModel aModel = aGenerator.generate_(nodes);
		aModel.open();

		return true;
	}

	/**
	 * ExampleD2:
	 * 
	 * @return boolean
	 */
	public static boolean ExampleD2() {
		JunVrmlParser97 aParser = new JunVrmlParser97();
		JunVrmlNode[] nodes = aParser.parse_(JunVrmlCompilerTestExamples.ExampleD2());
		JunVrmlGenerator97 aGenerator = new JunVrmlGenerator97();
		JunOpenGLDisplayModel aModel = aGenerator.generate_(nodes);
		aModel.open();

		return true;
	}

	/**
	 * ExampleD3:
	 * 
	 * @return boolean
	 */
	public static boolean ExampleD3() {
		JunVrmlParser97 aParser = new JunVrmlParser97();
		JunVrmlNode[] nodes = aParser.parse_(JunVrmlCompilerTestExamples.ExampleD3());
		JunVrmlGenerator97 aGenerator = new JunVrmlGenerator97();
		JunOpenGLDisplayModel aModel = aGenerator.generate_(nodes);
		aModel.open();

		return true;
	}

	/**
	 * ExampleD4:
	 * 
	 * @return boolean
	 */
	public static boolean ExampleD4() {
		JunVrmlParser97 aParser = new JunVrmlParser97();
		JunVrmlNode[] nodes = aParser.parse_(JunVrmlCompilerTestExamples.ExampleD4());
		JunVrmlGenerator97 aGenerator = new JunVrmlGenerator97();
		JunOpenGLDisplayModel aModel = aGenerator.generate_(nodes);
		aModel.open();

		return true;
	}

	/**
	 * ExampleD5:
	 * 
	 * @return boolean
	 */
	public static boolean ExampleD5() {
		JunVrmlParser97 aParser = new JunVrmlParser97();
		JunVrmlNode[] nodes = aParser.parse_(JunVrmlCompilerTestExamples.ExampleD5());
		JunVrmlGenerator97 aGenerator = new JunVrmlGenerator97();
		JunOpenGLDisplayModel aModel = aGenerator.generate_(nodes);
		aModel.open();

		return true;
	}

	/**
	 * ExampleD9:
	 * 
	 * @return boolean
	 */
	public static boolean ExampleD9() {
		JunVrmlParser97 aParser = new JunVrmlParser97();
		JunVrmlNode[] nodes = aParser.parse_(JunVrmlCompilerTestExamples.ExampleD9());
		JunVrmlGenerator97 aGenerator = new JunVrmlGenerator97();
		JunOpenGLDisplayModel aModel = aGenerator.generate_(nodes);
		aModel.open();

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new JunVrmlGenerator97TestExamples();
	}

}
