package jp.co.sra.smalltalk.menu;

/**
 * StCheckBoxMenuItemView interface
 * 
 *  @author    nisinaka
 *  @created   2005/02/18 (by nisinaka)
 *  @updated   N/A
 *  @version   9.7
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: StCheckBoxMenuItemView.java,v 9.7 2010/03/09 09:18:08 nisinaka Exp $
 */
public interface StCheckBoxMenuItemView extends StMenuItemView {

	/**
	 * Answer my check box menu item.
	 * 
	 * @return jp.co.sra.smalltalk.menu.StCheckBoxMenuItem
	 * @category model accessing
	 */
	public StCheckBoxMenuItem getCheckBoxMenuItem();

}