package jp.co.sra.smalltalk.menu;

/**
 * StMenuBarView interface
 * 
 *  @author    nisinaka
 *  @created   2005/02/17 (by nisinaka)
 *  @updated   N/A
 *  @version   9.7
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: StMenuBarView.java,v 9.7 2010/03/09 09:18:08 nisinaka Exp $
 */
public interface StMenuBarView extends StMenuView {

	/**
	 * Answer my menu bar.
	 * 
	 * @return jp.co.sra.smalltalk.menu.StMenuBar
	 * @category model accessing
	 */
	public StMenuBar getMenuBar();

}