package jp.co.sra.smalltalk.menu;

/**
 * StMenuItemView interface
 * 
 *  @author    nisinaka
 *  @created   2005/02/16 (by nisinaka)
 *  @updated   N/A
 *  @version   9.7
 *  @copyright 1999-2010 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2010 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: StMenuItemView.java,v 9.7 2010/03/09 09:18:08 nisinaka Exp $
 */
public interface StMenuItemView {

	/**
	 * Answer my menu item.
	 * 
	 * @return jp.co.sra.smalltalk.menu.StMenuItem
	 * @category model accessing
	 */
	public StMenuItem getMenuItem();

}